// swiftlint:disable type_body_length file_length line_length

/// Enumeration describing available languages in the system.
public enum SystemLanguage: String, LaunchArgumentValue {

    /// Automatically generated value for language Cheyenne.
    case Cheyenne = "chy"

    /// Automatically generated value for language EnglishIndia.
    case EnglishIndia = "en-IN"

    /// Automatically generated value for language EnglishUnitedStates.
    case EnglishUnitedStates = "en-US"

    /// Automatically generated value for language Malagasy.
    case Malagasy = "mg"

    /// Automatically generated value for language Tasawaq.
    case Tasawaq = "twq"

    /// Automatically generated value for language Nuer.
    case Nuer = "nus"

    /// Automatically generated value for language ChineseSimplified.
    case ChineseSimplified = "zh-Hans"

    /// Automatically generated value for language KashmiriArabic.
    case KashmiriArabic = "ks-Arab"

    /// Automatically generated value for language FrenchFrance.
    case FrenchFrance = "fr-FR"

    /// Automatically generated value for language Bengali.
    case Bengali = "bn"

    /// Automatically generated value for language TatarLatin.
    case TatarLatin = "tt-Latn"

    /// Automatically generated value for language SouthernSotho.
    case SouthernSotho = "st"

    /// Automatically generated value for language Neapolitan.
    case Neapolitan = "nap"

    /// Automatically generated value for language Fulah.
    case Fulah = "ff"

    /// Automatically generated value for language CentralKurdish.
    case CentralKurdish = "ckb"

    /// Automatically generated value for language Slovak.
    case Slovak = "sk"

    /// Automatically generated value for language Adangme.
    case Adangme = "ada"

    /// Automatically generated value for language Luo.
    case Luo = "luo"

    /// Automatically generated value for language Tumbuka.
    case Tumbuka = "tum"

    /// Automatically generated value for language Javanese.
    case Javanese = "jv"

    /// Automatically generated value for language Meru.
    case Meru = "mer"

    /// Automatically generated value for language Ido.
    case Ido = "io"

    /// Automatically generated value for language Angika.
    case Angika = "anp"

    /// Automatically generated value for language Tsonga.
    case Tsonga = "ts"

    /// Automatically generated value for language FrenchCanada.
    case FrenchCanada = "fr-CA"

    /// Automatically generated value for language Rarotongan.
    case Rarotongan = "rar"

    /// Automatically generated value for language Sango.
    case Sango = "sg"

    /// Automatically generated value for language Arapaho.
    case Arapaho = "arp"

    /// Automatically generated value for language Bemba.
    case Bemba = "bem"

    /// Automatically generated value for language GermanSwitzerland.
    case GermanSwitzerland = "de-CH"

    /// Automatically generated value for language Kpelle.
    case Kpelle = "kpe"

    /// Automatically generated value for language Tajik.
    case Tajik = "tg"

    /// Automatically generated value for language Marshallese.
    case Marshallese = "mh"

    /// Automatically generated value for language Akan.
    case Akan = "ak"

    /// Automatically generated value for language Kimbundu.
    case Kimbundu = "kmb"

    /// Automatically generated value for language Telugu.
    case Telugu = "te"

    /// Automatically generated value for language Soga.
    case Soga = "xog"

    /// Automatically generated value for language Aragonese.
    case Aragonese = "an"

    /// Automatically generated value for language Manx.
    case Manx = "gv"

    /// Automatically generated value for language Palauan.
    case Palauan = "pau"

    /// Automatically generated value for language Pashto.
    case Pashto = "ps"

    /// Automatically generated value for language Nepali.
    case Nepali = "ne"

    /// Automatically generated value for language Ainu.
    case Ainu = "ain"

    /// Automatically generated value for language Albanian.
    case Albanian = "sq"

    /// Automatically generated value for language Ndonga.
    case Ndonga = "ng"

    /// Automatically generated value for language Estonian.
    case Estonian = "et"

    /// Automatically generated value for language Newari.
    case Newari = "new"

    /// Automatically generated value for language Welsh.
    case Welsh = "cy"

    /// Automatically generated value for language Quechua.
    case Quechua = "qu"

    /// Automatically generated value for language Colognian.
    case Colognian = "ksh"

    /// Automatically generated value for language Malay.
    case Malay = "ms"

    /// Automatically generated value for language Bambara.
    case Bambara = "bm"

    /// Automatically generated value for language Swahili.
    case Swahili = "sw"

    /// Automatically generated value for language Tibetan.
    case Tibetan = "bo"

    /// Automatically generated value for language Metaʼ.
    case Metaʼ = "mgo"

    /// Automatically generated value for language Lingala.
    case Lingala = "ln"

    /// Automatically generated value for language Filipino.
    case Filipino = "fil"

    /// Automatically generated value for language Sakha.
    case Sakha = "sah"

    /// Automatically generated value for language Finnish.
    case Finnish = "fi"

    /// Automatically generated value for language Tahitian.
    case Tahitian = "ty"

    /// Automatically generated value for language Kuanyama.
    case Kuanyama = "kj"

    /// Automatically generated value for language Ngomba.
    case Ngomba = "jgo"

    /// Automatically generated value for language English.
    case English = "en"

    /// Automatically generated value for language Maori.
    case Maori = "mi"

    /// Automatically generated value for language Nyankole.
    case Nyankole = "nyn"

    /// Automatically generated value for language Pampanga.
    case Pampanga = "pam"

    /// Automatically generated value for language Nias.
    case Nias = "nia"

    /// Automatically generated value for language Slovenian.
    case Slovenian = "sl"

    /// Automatically generated value for language ChineseTaiwan.
    case ChineseTaiwan = "zh-TW"

    /// Automatically generated value for language Khmer.
    case Khmer = "km"

    /// Automatically generated value for language Kurukh.
    case Kurukh = "kru"

    /// Automatically generated value for language Mapuche.
    case Mapuche = "arn"

    /// Automatically generated value for language Micmac.
    case Micmac = "mic"

    /// Automatically generated value for language Jju.
    case Jju = "kaj"

    /// Automatically generated value for language Sukuma.
    case Sukuma = "suk"

    /// Automatically generated value for language Japanese.
    case Japanese = "ja"

    /// Automatically generated value for language Sindhi.
    case Sindhi = "sd"

    /// Automatically generated value for language Khasi.
    case Khasi = "kha"

    /// Automatically generated value for language Lozi.
    case Lozi = "loz"

    /// Automatically generated value for language Awadhi.
    case Awadhi = "awa"

    /// Automatically generated value for language Ngiemboon.
    case Ngiemboon = "nnh"

    /// Automatically generated value for language Umbundu.
    case Umbundu = "umb"

    /// Automatically generated value for language Sicilian.
    case Sicilian = "scn"

    /// Automatically generated value for language Karelian.
    case Karelian = "krl"

    /// Automatically generated value for language SerbianLatin.
    case SerbianLatin = "sr-Latn"

    /// Automatically generated value for language Chamorro.
    case Chamorro = "ch"

    /// Automatically generated value for language Makasar.
    case Makasar = "mak"

    /// Automatically generated value for language German.
    case German = "de"

    /// Automatically generated value for language Korean.
    case Korean = "ko"

    /// Automatically generated value for language Morisyen.
    case Morisyen = "mfe"

    /// Automatically generated value for language Tongan.
    case Tongan = "to"

    /// Automatically generated value for language Kyrgyz.
    case Kyrgyz = "ky"

    /// Automatically generated value for language Moksha.
    case Moksha = "mdf"

    /// Automatically generated value for language Mundang.
    case Mundang = "mua"

    /// Automatically generated value for language Twi.
    case Twi = "tw"

    /// Automatically generated value for language UzbekCyrillic.
    case UzbekCyrillic = "uz-Cyrl"

    /// Automatically generated value for language GermanGermany.
    case GermanGermany = "de-DE"

    /// Automatically generated value for language Ukrainian.
    case Ukrainian = "uk"

    /// Automatically generated value for language Vietnamese.
    case Vietnamese = "vi"

    /// Automatically generated value for language Greek.
    case Greek = "el"

    /// Automatically generated value for language Limburgish.
    case Limburgish = "li"

    /// Automatically generated value for language Tigre.
    case Tigre = "tig"

    /// Automatically generated value for language Malayalam.
    case Malayalam = "ml"

    /// Automatically generated value for language LubaKatanga.
    case LubaKatanga = "lu"

    /// Automatically generated value for language Erzya.
    case Erzya = "myv"

    /// Automatically generated value for language TatarCyrillic.
    case TatarCyrillic = "tt-Cyrl"

    /// Automatically generated value for language Italian.
    case Italian = "it"

    /// Automatically generated value for language Zuni.
    case Zuni = "zun"

    /// Automatically generated value for language Walloon.
    case Walloon = "wa"

    /// Automatically generated value for language Somali.
    case Somali = "so"

    /// Automatically generated value for language Vai.
    case Vai = "vai"

    /// Automatically generated value for language TokPisin.
    case TokPisin = "tpi"

    /// Automatically generated value for language Croatian.
    case Croatian = "hr"

    /// Automatically generated value for language Kamba.
    case Kamba = "kam"

    /// Automatically generated value for language SrananTongo.
    case SrananTongo = "srn"

    /// Automatically generated value for language SundaneseLatin.
    case SundaneseLatin = "su-Latn"

    /// Automatically generated value for language Mohawk.
    case Mohawk = "moh"

    /// Automatically generated value for language Serbian.
    case Serbian = "sr"

    /// Automatically generated value for language Czech.
    case Czech = "cs"

    /// Automatically generated value for language Venda.
    case Venda = "ve"

    /// Automatically generated value for language TachelhitLatin.
    case TachelhitLatin = "shi-Latn"

    /// Automatically generated value for language Abkhazian.
    case Abkhazian = "ab"

    /// Automatically generated value for language Romansh.
    case Romansh = "rm"

    /// Automatically generated value for language SundaneseSundanese.
    case SundaneseSundanese = "su-Sund"

    /// Automatically generated value for language Amharic.
    case Amharic = "am"

    /// Automatically generated value for language TurkmenCyrillic.
    case TurkmenCyrillic = "tk-Cyrl"

    /// Automatically generated value for language Kabuverdianu.
    case Kabuverdianu = "kea"

    /// Automatically generated value for language Breton.
    case Breton = "br"

    /// Automatically generated value for language Comorian.
    case Comorian = "swb"

    /// Automatically generated value for language Luxembourgish.
    case Luxembourgish = "lb"

    /// Automatically generated value for language Russian.
    case Russian = "ru"

    /// Automatically generated value for language Rundi.
    case Rundi = "rn"

    /// Automatically generated value for language KoyraChiini.
    case KoyraChiini = "khq"

    /// Automatically generated value for language Marathi.
    case Marathi = "mr"

    /// Automatically generated value for language ItalianItaly.
    case ItalianItaly = "it-IT"

    /// Automatically generated value for language Swedish.
    case Swedish = "sv"

    /// Automatically generated value for language Klingon.
    case Klingon = "tlh"

    /// Automatically generated value for language Armenian.
    case Armenian = "hy"

    /// Automatically generated value for language Luyia.
    case Luyia = "luy"

    /// Automatically generated value for language Tuvinian.
    case Tuvinian = "tyv"

    /// Automatically generated value for language Georgian.
    case Georgian = "ka"

    /// Automatically generated value for language Macedonian.
    case Macedonian = "mk"

    /// Automatically generated value for language Asturian.
    case Asturian = "ast"

    /// Automatically generated value for language KoyraboroSenni.
    case KoyraboroSenni = "ses"

    /// Automatically generated value for language Yoruba.
    case Yoruba = "yo"

    /// Automatically generated value for language Creek.
    case Creek = "mus"

    /// Automatically generated value for language Santali.
    case Santali = "sat"

    /// Automatically generated value for language TurkmenLatin.
    case TurkmenLatin = "tk-Latn"

    /// Automatically generated value for language Magahi.
    case Magahi = "mag"

    /// Automatically generated value for language Kinyarwanda.
    case Kinyarwanda = "rw"

    /// Automatically generated value for language Oromo.
    case Oromo = "om"

    /// Automatically generated value for language Adyghe.
    case Adyghe = "ady"

    /// Automatically generated value for language Tswana.
    case Tswana = "tn"

    /// Automatically generated value for language SpanishLatinAmerica.
    case SpanishLatinAmerica = "es-419"

    /// Automatically generated value for language SichuanYi.
    case SichuanYi = "ii"

    /// Automatically generated value for language SpanishSpain.
    case SpanishSpain = "es-ES"

    /// Automatically generated value for language Hindi.
    case Hindi = "hi"

    /// Automatically generated value for language Aromanian.
    case Aromanian = "rup"

    /// Automatically generated value for language Komi.
    case Komi = "kv"

    /// Automatically generated value for language French.
    case French = "fr"

    /// Automatically generated value for language SindhiDevanagari.
    case SindhiDevanagari = "sd-Deva"

    /// Automatically generated value for language Occitan.
    case Occitan = "oc"

    /// Automatically generated value for language NorthernSami.
    case NorthernSami = "se"

    /// Automatically generated value for language AzerbaijaniLatin.
    case AzerbaijaniLatin = "az-Latn"

    /// Automatically generated value for language Persian.
    case Persian = "fa"

    /// Automatically generated value for language Kalmyk.
    case Kalmyk = "xal"

    /// Automatically generated value for language Mossi.
    case Mossi = "mos"

    /// Automatically generated value for language Niuean.
    case Niuean = "niu"

    /// Automatically generated value for language Faroese.
    case Faroese = "fo"

    /// Automatically generated value for language Igbo.
    case Igbo = "ig"

    /// Automatically generated value for language Hebrew.
    case Hebrew = "he"

    /// Automatically generated value for language Polish.
    case Polish = "pl"

    /// Automatically generated value for language Romanian.
    case Romanian = "ro"

    /// Automatically generated value for language DutchBelgium.
    case DutchBelgium = "nl-BE"

    /// Automatically generated value for language Tagalog.
    case Tagalog = "tl"

    /// Automatically generated value for language Nauru.
    case Nauru = "na"

    /// Automatically generated value for language Masai.
    case Masai = "mas"

    /// Automatically generated value for language Indonesian.
    case Indonesian = "id"

    /// Automatically generated value for language Latin.
    case Latin = "la"

    /// Automatically generated value for language PunjabiArabic.
    case PunjabiArabic = "pa-Arab"

    /// Automatically generated value for language SouthNdebele.
    case SouthNdebele = "nr"

    /// Automatically generated value for language Xhosa.
    case Xhosa = "xh"

    /// Automatically generated value for language Uyghur.
    case Uyghur = "ug"

    /// Automatically generated value for language StandardMoroccanTamazight.
    case StandardMoroccanTamazight = "zgh"

    /// Automatically generated value for language Danish.
    case Danish = "da"

    /// Automatically generated value for language KarachayBalkar.
    case KarachayBalkar = "krc"

    /// Automatically generated value for language Lao.
    case Lao = "lo"

    /// Automatically generated value for language NorwegianNynorsk.
    case NorwegianNynorsk = "nn"

    /// Automatically generated value for language GermanAustria.
    case GermanAustria = "de-AT"

    /// Automatically generated value for language Sinhala.
    case Sinhala = "si"

    /// Automatically generated value for language Portuguese.
    case Portuguese = "pt"

    /// Automatically generated value for language LubaLulua.
    case LubaLulua = "lua"

    /// Automatically generated value for language Kalaallisut.
    case Kalaallisut = "kl"

    /// Automatically generated value for language EnglishAustralia.
    case EnglishAustralia = "en-AU"

    /// Automatically generated value for language Udmurt.
    case Udmurt = "udm"

    /// Automatically generated value for language Ossetic.
    case Ossetic = "os"

    /// Automatically generated value for language Bulgarian.
    case Bulgarian = "bg"

    /// Automatically generated value for language ItalianSwitzerland.
    case ItalianSwitzerland = "it-CH"

    /// Automatically generated value for language SoninkeArabic.
    case SoninkeArabic = "snk-Arab"

    /// Automatically generated value for language ScottishGaelic.
    case ScottishGaelic = "gd"

    /// Automatically generated value for language NorthNdebele.
    case NorthNdebele = "nd"

    /// Automatically generated value for language Sandawe.
    case Sandawe = "sad"

    /// Automatically generated value for language Lojban.
    case Lojban = "jbo"

    /// Automatically generated value for language Punjabi.
    case Punjabi = "pa"

    /// Automatically generated value for language AzerbaijaniCyrillic.
    case AzerbaijaniCyrillic = "az-Cyrl"

    /// Automatically generated value for language Fanti.
    case Fanti = "fat"

    /// Automatically generated value for language Kumyk.
    case Kumyk = "kum"

    /// Automatically generated value for language Nama.
    case Nama = "naq"

    /// Automatically generated value for language Gusii.
    case Gusii = "guz"

    /// Automatically generated value for language FrenchSwitzerland.
    case FrenchSwitzerland = "fr-CH"

    /// Automatically generated value for language ChineseHongKongSARChina.
    case ChineseHongKongSARChina = "zh-HK"

    /// Automatically generated value for language SoninkeLatin.
    case SoninkeLatin = "snk-Latn"

    /// Automatically generated value for language Manipuri.
    case Manipuri = "mni"

    /// Automatically generated value for language Ngambay.
    case Ngambay = "sba"

    /// Automatically generated value for language Lakota.
    case Lakota = "lkt"

    /// Automatically generated value for language Konkani.
    case Konkani = "kok"

    /// Automatically generated value for language EnglishUnitedKingdom.
    case EnglishUnitedKingdom = "en-GB"

    /// Automatically generated value for language Cantonese.
    case Cantonese = "yue"

    /// Automatically generated value for language Bosnian.
    case Bosnian = "bs"

    /// Automatically generated value for language Sanskrit.
    case Sanskrit = "sa"

    /// Automatically generated value for language Minangkabau.
    case Minangkabau = "min"

    /// Automatically generated value for language Kachin.
    case Kachin = "kac"

    /// Automatically generated value for language Icelandic.
    case Icelandic = "is"

    /// Automatically generated value for language Kabyle.
    case Kabyle = "kab"

    /// Automatically generated value for language Waray.
    case Waray = "war"

    /// Automatically generated value for language Esperanto.
    case Esperanto = "eo"

    /// Automatically generated value for language Kanuri.
    case Kanuri = "kr"

    /// Automatically generated value for language Tigrinya.
    case Tigrinya = "ti"

    /// Automatically generated value for language SouthernAltai.
    case SouthernAltai = "alt"

    /// Automatically generated value for language Inuktitut.
    case Inuktitut = "iu"

    /// Automatically generated value for language Bislama.
    case Bislama = "bi"

    /// Automatically generated value for language Ewe.
    case Ewe = "ee"

    /// Automatically generated value for language Spanish.
    case Spanish = "es"

    /// Automatically generated value for language Nyanja.
    case Nyanja = "ny"

    /// Automatically generated value for language Madurese.
    case Madurese = "mad"

    /// Automatically generated value for language Mizo.
    case Mizo = "lus"

    /// Automatically generated value for language UzbekArabic.
    case UzbekArabic = "uz-Arab"

    /// Automatically generated value for language Avaric.
    case Avaric = "av"

    /// Automatically generated value for language Turkish.
    case Turkish = "tr"

    /// Automatically generated value for language Kannada.
    case Kannada = "kn"

    /// Automatically generated value for language Sardinian.
    case Sardinian = "sc"

    /// Automatically generated value for language Guarani.
    case Guarani = "gn"

    /// Automatically generated value for language Kazakh.
    case Kazakh = "kk"

    /// Automatically generated value for language Yemba.
    case Yemba = "ybb"

    /// Automatically generated value for language Taroko.
    case Taroko = "trv"

    /// Automatically generated value for language DutchNetherlands.
    case DutchNetherlands = "nl-NL"

    /// Automatically generated value for language Achinese.
    case Achinese = "ace"

    /// Automatically generated value for language Ganda.
    case Ganda = "lg"

    /// Automatically generated value for language Timne.
    case Timne = "tem"

    /// Automatically generated value for language Lithuanian.
    case Lithuanian = "lt"

    /// Automatically generated value for language Kabardian.
    case Kabardian = "kbd"

    /// Automatically generated value for language Samoan.
    case Samoan = "sm"

    /// Automatically generated value for language Ladino.
    case Ladino = "lad"

    /// Automatically generated value for language Oriya.
    case Oriya = "or"

    /// Automatically generated value for language ChineseTraditional.
    case ChineseTraditional = "zh-Hant"

    /// Automatically generated value for language Belarusian.
    case Belarusian = "be"

    /// Automatically generated value for language Mongolian.
    case Mongolian = "mn"

    /// Automatically generated value for language MalayArabic.
    case MalayArabic = "ms-Arab"

    /// Automatically generated value for language Tamil.
    case Tamil = "ta"

    /// Automatically generated value for language Basque.
    case Basque = "eu"

    /// Automatically generated value for language Teso.
    case Teso = "teo"

    /// Automatically generated value for language Kikuyu.
    case Kikuyu = "ki"

    /// Automatically generated value for language Gujarati.
    case Gujarati = "gu"

    /// Automatically generated value for language Zaza.
    case Zaza = "zza"

    /// Automatically generated value for language Galician.
    case Galician = "gl"

    /// Automatically generated value for language Lezghian.
    case Lezghian = "lez"

    /// Automatically generated value for language PortugueseBrazil.
    case PortugueseBrazil = "pt-BR"

    /// Automatically generated value for language Maltese.
    case Maltese = "mt"

    /// Automatically generated value for language SwissGerman.
    case SwissGerman = "gsw"

    /// Automatically generated value for language Zarma.
    case Zarma = "dje"

    /// Automatically generated value for language Navajo.
    case Navajo = "nv"

    /// Automatically generated value for language Pangasinan.
    case Pangasinan = "pag"

    /// Automatically generated value for language PortuguesePortugal.
    case PortuguesePortugal = "pt-PT"

    /// Automatically generated value for language Assamese.
    case Assamese = "as"

    /// Automatically generated value for language VaiLatin.
    case VaiLatin = "vai-Latn"

    /// Automatically generated value for language NʼKo.
    case NʼKo = "nqo"

    /// Automatically generated value for language Latvian.
    case Latvian = "lv"

    /// Automatically generated value for language Maithili.
    case Maithili = "mai"

    /// Automatically generated value for language Nogai.
    case Nogai = "nog"

    /// Automatically generated value for language Mirandese.
    case Mirandese = "mwl"

    /// Automatically generated value for language Aleut.
    case Aleut = "ale"

    /// Automatically generated value for language Haitian.
    case Haitian = "ht"

    /// Automatically generated value for language Kako.
    case Kako = "kkj"

    /// Automatically generated value for language Scots.
    case Scots = "sco"

    /// Automatically generated value for language Urdu.
    case Urdu = "ur"

    /// Automatically generated value for language Catalan.
    case Catalan = "ca"

    /// Automatically generated value for language NorwegianBokmål.
    case NorwegianBokmål = "nb"

    /// Automatically generated value for language Burmese.
    case Burmese = "my"

    /// Automatically generated value for language BosnianCyrillic.
    case BosnianCyrillic = "bs-Cyrl"

    /// Automatically generated value for language Swati.
    case Swati = "ss"

    /// Automatically generated value for language Tuvalu.
    case Tuvalu = "tvl"

    /// Automatically generated value for language Afrikaans.
    case Afrikaans = "af"

    /// Automatically generated value for language Hungarian.
    case Hungarian = "hu"

    /// Automatically generated value for language SpanishMexico.
    case SpanishMexico = "es-MX"

    /// Automatically generated value for language Mende.
    case Mende = "men"

    /// Automatically generated value for language Corsican.
    case Corsican = "co"

    /// Automatically generated value for language Rapanui.
    case Rapanui = "rap"

    /// Automatically generated value for language Zulu.
    case Zulu = "zu"

    /// Automatically generated value for language Irish.
    case Irish = "ga"

    /// Automatically generated value for language Thai.
    case Thai = "th"

    /// Automatically generated value for language Shona.
    case Shona = "sn"

    /// Automatically generated value for language EnglishCanada.
    case EnglishCanada = "en-CA"

    /// Automatically generated value for language Lunda.
    case Lunda = "lun"

    /// Automatically generated value for language Hawaiian.
    case Hawaiian = "haw"

    /// Automatically generated value for language Aymara.
    case Aymara = "ay"

    /// Automatically generated value for language Tetum.
    case Tetum = "tet"

    /// Automatically generated value for language UzbekLatin.
    case UzbekLatin = "uz-Latn"

    /// Automatically generated value for language Dzongkha.
    case Dzongkha = "dz"

    /// Automatically generated value for language MakhuwaMeetto.
    case MakhuwaMeetto = "mgh"

    /// Automatically generated value for language Shan.
    case Shan = "shn"

    /// Automatically generated value for language NorthernSotho.
    case NorthernSotho = "nso"

    /// Automatically generated value for language Dutch.
    case Dutch = "nl"

    /// Automatically generated value for language Yiddish.
    case Yiddish = "yi"

    /// Automatically generated value for language Arabic.
    case Arabic = "ar"

    /// Automatically generated value for language Wolof.
    case Wolof = "wo"

    /// Automatically generated value for language Kalenjin.
    case Kalenjin = "kln"

    /// Automatically generated value for language Cornish.
    case Cornish = "kw"

    /// Automatically generated value for language Cherokee.
    case Cherokee = "chr"
}
